spdif: Spdif_v1_0

| spdif Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

Functions
Spdif_v1_0

## Functions
void | XSpdif_Decode_ChStat (u8 Spdif_SrcBuf[24])
| This function reads the array i.e. More...

## Function Documentation

void XSpdif_Decode_ChStat | ( | u8 | Spdif_SrcBuf[24] | ) |

This function reads the array i.e.

Spdif_SrcBuffer which has the values of all the six Spdif AES status registers, extracts the required bits and displays them. Note: Call XSpdif_Rx_GetChStat API before calling XSpdif_Decode_ChStat API

Parameters

  Spdif_SrcBuf | is an array that contains the values of all the the AES Status registers.It contains 24 bytes i.e. 192 status bits.

< use of channel status block

< linear PCM identification

< audio signal Pre-emphasis

< lock indication

< sampling frequency

< channel mode

< user bits management

< use of auxiliary sample bits

< source word length

< indication of alignment level

< channel mode

< Channel number 0

< Channel number 1

< multi channel1 mode number

< digital audio reference signal

< reserved but undefined

< sampling frequency

< sampling frequency scaling flag

< reserved but undefined

< Alphanumeric channel origin data

< Alphanumeric channel destination data

< Local sample address code

< Time-of-day sample address code

< Reliability flags

< Cyclic redundancy check character

References XSPDIF_AES_STS_AUDIO_SIG_PRE_EMPH_MASK, XSPDIF_AES_STS_AUDIO_SIG_PRE_EMPH_SHIFT, XSPDIF_AES_STS_CH_MODE_MASK, XSPDIF_AES_STS_CH_NUM0_MASK, XSPDIF_AES_STS_CH_NUM1_MASK, XSPDIF_AES_STS_CRC_CHAR_OFFSET, XSPDIF_AES_STS_DIGITAL_AUDIO_REF_SIG_MASK, XSPDIF_AES_STS_DIGITAL_AUDIO_REF_SIG_SHIFT, XSPDIF_AES_STS_INDICATE_ALIGN_LEVEL_MASK, XSPDIF_AES_STS_INDICATE_ALIGN_LEVEL_SHIFT, XSPDIF_AES_STS_LINEAR_PCM_ID_MASK, XSPDIF_AES_STS_LINEAR_PCM_ID_SHIFT, XSPDIF_AES_STS_LOCK_INDICATION_MASK, XSPDIF_AES_STS_LOCK_INDICATION_SHIFT, XSPDIF_AES_STS_MC_CH_MODE_MASK, XSPDIF_AES_STS_MC_CH_MODE_NUM_MASK, XSPDIF_AES_STS_MC_CH_MODE_NUM_SHIFT, XSPDIF_AES_STS_MC_CH_MODE_SHIFT, XSPDIF_AES_STS_RELIABLE_FLAGS_OFFSET, XSPDIF_AES_STS_RSVD_BUT_UNDEF0_MASK, XSPDIF_AES_STS_RSVD_BUT_UNDEF0_SHIFT, XSPDIF_AES_STS_RSVD_BUT_UNDEF1_MASK, XSPDIF_AES_STS_SAMPLING_FREQ_E_MASK, XSPDIF_AES_STS_SAMPLING_FREQ_E_SHIFT, XSPDIF_AES_STS_SAMPLING_FREQ_Q_MASK, XSPDIF_AES_STS_SAMPLING_FREQ_Q_SHIFT, XSPDIF_AES_STS_SAMPLING_FREQ_SCALE_FLAG_MASK, XSPDIF_AES_STS_SAMPLING_FREQ_SCALE_FLAG_SHIFT, XSPDIF_AES_STS_SRC_WORD_LENGTH_MASK, XSPDIF_AES_STS_SRC_WORD_LENGTH_SHIFT, XSPDIF_AES_STS_USE_OF_CH_STS_BLK_MASK, XSPDIF_AES_STS_USEOF_AUX_SMPL_BITS_MASK, XSPDIF_AES_STS_USR_BITS_MGMT_MASK, and XSPDIF_AES_STS_USR_BITS_MGMT_SHIFT.